@media screen and (max-width: 80000px) {
    .header-inner-right #responsive-menu-container.slide-top {
        background: transparent;
        max-width: 200px;
        height: auto;
        position: absolute;
        top: 97px;
        right: 0;
        transform: translateY(-0px);
        -ms-transform: translateY(-0px);
        -webkit-transform: translateY(-0px);
        -moz-transform: translateY(-0px);
        z-index: 0;
    }
    .responsive-menu-open #responsive-menu-container.slide-top {
        height: 80px;
    }
    .header-inner-right #responsive-menu-container.slide-top #responsive-menu-wrapper {
        padding: 10px 0;
        transform: translateY(-100%);
        -ms-transform: translateY(-100%);
        -webkit-transform: translateY(-100%);
        -moz-transform: translateY(-100%);
        -webkit-transition: -webkit-transform 0.5s;
        transition: -webkit-transform 0.5s;
        -o-transition: transform 0.5s;
        transition: transform 0.5s;
        transition: transform 0.5s, -webkit-transform 0.5s;
    }
    .responsive-menu-open #responsive-menu-container.slide-top #responsive-menu-wrapper {
        transform: translateY(0);
        -ms-transform: translateY(0);
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
    }
    .header-inner-right #responsive-menu-container #responsive-menu li.responsive-menu-item a {
        font-size: 18px;
        line-height: normal;
        border-bottom: none;
        height: auto;
        padding: 10px 20px;
    }
    .header-inner-right #responsive-menu-container #responsive-menu > li.responsive-menu-item:first-child > a {
        border-top: none;
    }
}
@media ( max-width: 1600px ) {
    header#main-header.sticky .header-inner {
        max-width: 1111px;
    }
}
@media ( max-width: 1400px ) {
    #background-poster-slider .background-poster-slider .slick-dots {
        left: 30px;
        -webkit-transform: translate(0, -50%);
        -ms-transform: translate(0, -50%);
        transform: translate(0, -50%);
    }
    #background-poster-slider .background-poster-slider .slide .text-content {
        max-width: 80%;
    }
    .testimonial-slider .testimonial-slider-item {
        margin: 15px 10px;
    }
}
@media ( max-width: 1199px ) {
    .home #call-now.text {
        height: 900px;
    }
    .home #call-now.text .text-content h2 {
        font-size: 100px;
    }
    .home #bottom-featured-vid.featured-video {
        height: 550px;
    }
    .home .featured-video .video-content img {
        max-width: 700px;
        width: 100%;
    }
    .home .featured-video .video-content > iframe, .home .featured-video .video-content > .wp-video, .home .featured-video .video-content > video, .home .featured-video.video .video-content img + iframe, .home .featured-video .video-content img + .wp-video, .home .featured-video .video-content img + video, .home .featured-video .video-content .video_embed_container {
        width: 586px !important;
        height: 387px;
        top: 52px;
    }
    .home #testimonials.text {
        padding-top: 200px;
    }
    .testimonial-slider .testimonial-slider-item {
        padding: 30px;
    }
    footer.site-footer .top-footer .text-content h3 {
        font-size: 65px;
    }
    .lessons #private-lessons .text-content {
        background-color: rgba(255,255,255,0.5);
        max-width: 600px;
        margin: auto;
        padding: 20px;
    }
    .lessons #group-lessons .col-lg-6:last-child {
        background-size: cover;
        background-position: right;
    }
    .parties #call-to-action .text-content .gallery {
        -webkit-transform: scale(0.8);
        -ms-transform: scale(0.8);
        transform: scale(0.8);
    }
    body:not(.home).page .flex-columns .text-content iframe {
        height: 30vw;
    }
}
/* @media ( max-width: 1024px ) {
    .video_embed_container, #play_embed, #play_video {
        display: none;
    }
}
*/
@media ( max-width: 991px ) {
    header .header-inner {
        -webkit-box-pack: end;
        -webkit-justify-content: flex-end;
        -ms-flex-pack: end;
        justify-content: flex-end;
        height: 50px;
    }
    header .header-inner > .menu-header-menu-container {
        display: none;
    }
    .header-inner-right #responsive-menu-container.slide-top {
        top: 50px;
    }
    .responsive-menu-open #responsive-menu-container.slide-top {
        height: 100vh;
    }
    .header-inner-right #responsive-menu-container li:not(.menu-item-type-custom) {
        display: block;
    }
    #background-poster-slider .background-poster-slider {
        padding: 0;
    }
    #background-poster-slider .background-poster-slider .slide {
        min-height: 650px;
        height: 100vh;
        padding: 15px 15px 0;
    }
    #background-poster-slider .background-poster-slider .slick-dots {
        top: auto;
        left: 50%;
        bottom: 130px;
        -webkit-transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        transform: translate(-50%, 0);
        display: -webkit-box !important;
        display: -webkit-flex !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
    #background-poster-slider .background-poster-slider .slick-dots li {
        margin: 0 5px;
    }
    #background-poster-slider .background-poster-slider .slick-dots li:hover:before, #background-poster-slider .background-poster-slider .slick-dots li.slick-active:before {
        right: 0;
        bottom: 0;
        margin: auto;
    }
    #background-poster-slider .background-poster-slider .slide .text-content {
        max-width: 800px;
        width: 100%;
    }
    #background-poster-slider .background-poster-slider .slide .text-content p {
        margin-bottom: 30px;
    }
    #dance-categories .flex-columns .column {
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
            -ms-flex-align: center;
                align-items: center;
        justify-content: center;
    }
    #dance-categories .flex-columns .column:before {
        background-color: rgba(0,0,0,0.5);
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }
    #dance-categories .flex-columns .column .button {
        margin: 0;
    }
    .poster_slider .p-slider {
        padding-left: 15px;
        padding-right: 15px;
    }
    .poster_slider .p-slider .slick-list {
        margin: 0 auto;
    }
    #about.text .text-content ul li {
        font-size: 25px;
    }
    .lessons #group-lessons .col-lg-6:last-child {
        background-position: center;
    }
    .weddings #gallery {
        padding-top: 150px;
    }
    .parties #call-to-action {
        background-size: cover;
        background-position: center;
        min-height: 0;
    }
    .parties #call-to-action .text-content .gallery {
        -webkit-transform: none;
        -ms-transform: none;
        transform: none;
        margin: 0;
    }
    .parties #call-to-action .text-content .gallery .gallery-item {
        max-width: 250px;
        margin-right: -30px;
        margin-bottom: 114px;
    }
    .parties #call-to-action .text-content .gallery .gallery-item img {
        width: 100%;
        height: auto;
     }
    .corporate-events #call-to-action {
        background-position: top center;
        min-height: 0;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
    }
   /* .page-banner {
        padding-top: 70px;
    }
    */
    .page-banner {
        height: 200px;
        padding-top: 20px;
    }
    .page-banner .col-lg-12 .site-logo {
        max-width: 300px;
    }
    .page-banner .col-lg-12 .page-title {
        font-size: 40px;
    }
    #empty, #error-404 h2 {
        font-size: 30px;
    }
}
@media ( max-width: 767px ) {
    #dance-categories {
        height: auto;
    }
    .flex-columns {
        display: block;
    }
    #dance-categories .flex-columns .column {
        min-height: 200px;
        height: 33vh;
    }
    .home #call-now.text .text-content h2 {
        font-size: 80px;
    }
    .home .featured-video {
        height: 400px;
    }
    .home .featured-video .video-content img {
        max-width: 546px;
    }
    .home .featured-video .video-content > iframe, .home .featured-video .video-content > .wp-video, .home .featured-video .video-content > video, .home .featured-video.video .video-content img + iframe, .home .featured-video .video-content img + .wp-video, .home .featured-video .video-content img + video, .home .featured-video .video-content .video_embed_container {
        max-width: 458px !important;
        height: 303px;
        top: 40px;
    }
    .video .video-content #play_video, .video .video-content #play_embed, #play_embed {
        -webkit-transform: scale(0.7);
        -ms-transform: scale(0.7);
        transform: scale(0.7);
    }
    .home #testimonials.text {
        padding-top: 130px;
    }
    .testimonial-slider .testimonial-slider-items .slick-list {
        max-width: 378px;
    }
    #about.text .text-content p img {
        width: 170px;
    }
    #about.text .text-content ul li {
        font-size: 20px;
    }
    .lessons #group-lessons .flex-columns {
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -webkit-flex-direction: column-reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
    .lessons #group-lessons .text-content {
        margin: 0 auto;
    }
    .lessons #group-lessons .col-lg-6:last-child {
        margin-bottom: 30px;
    }
    .private-lessons .text .text-content {
        background-color: rgba(255,255,255,0.5);
        max-width: 500px;
        margin: 0 auto;
        padding: 20px;
    }
    body.group-lessons .two-columns .flex-columns .col-lg-6:first-child {
        min-height: 0;
    }
    body.group-lessons .two-columns .flex-columns .col-lg-6:first-child .text-content {
        max-width: 100%;
        margin-left: 0;
    }
    body.group-lessons .two-columns  .flex-columns .col-lg-6:last-child {
        min-height: 300px;
        height: 40vh;
    }
    .weddings #gallery {
        background-size: cover;
    }
    .weddings #gallery .gallery {
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    .weddings #gallery .gallery .gallery-item, .weddings #gallery .gallery .gallery-item:last-child {
        width: 250px;
        margin: 15px;
    }
    .weddings #gallery .gallery .gallery-item:nth-child(3), .weddings #gallery .gallery .gallery-item:nth-child(4) {
        z-index: 0;
    }
    .weddings #gallery h5, .weddings .two-columns .flex-columns .column .text-content h5, .parties #call-to-action .text-content h5, .corporate-events #call-to-action .text-content h5 {
        font-size: 25px;
    }
    .weddings .two-columns .flex-columns .column.col-lg-6:first-child {
        margin-bottom: 30px;
    }
    .weddings .two-columns .flex-columns .column .text-content {
        max-width: 400px;
    }
    .weddings .two-columns .flex-columns .column .text-content h3 {
        font-size: 60px;
    }
    .weddings .video .text-content h4, .parties #call-to-action .text-content h4, .corporate-events #call-to-action .text-content h4 {
        font-size: 30px;
    }
    .parties #call-to-action .text-content .gallery {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .parties #call-to-action .text-content .gallery .gallery-item {
        margin-right: 0;
    }
    .parties #call-to-action .text-content h5 {
        margin-bottom: 15px;
    }
    .corporate-events #call-to-action .text-content .gallery {
        margin-bottom: 50px;
    }
    .page-banner .col-lg-12 {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .page-banner .col-lg-12 .page-title {
        text-align: center;
        margin-top: 20px;
    }
    body:not(.home).page .flex-columns .text-content iframe {
        height: 54vw;
    }
    .contact .text .text-content {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .contact .text .text-content .google-maps {
        margin-bottom: 50px;
    }
    .contact .text .text-content .google-maps iframe {
        width: 100%;
    }
    footer.site-footer .top-footer .text-content h3 {
        font-size: 50px;
    }
    footer.site-footer .top-footer .text-content .gform_wrapper .gform_footer {
        text-align: left;
        width: 100%;
        position: relative;
    }
    footer.site-footer .bottom-footer #menu-footer-menu {
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
   }
    footer.site-footer .bottom-footer #menu-footer-menu .menu-item {
        margin: 10px 0;
    }
    footer.site-footer .bottom-footer .footer-contact .social-links a {
        border-width: 5px;
        width: 45px;
        height: 45px;
    }
    footer.site-footer .bottom-footer .footer-contact .social-links a img {
        height: 20px;
    }
    footer.site-footer .bottom-footer .footer-contact .social-links a i {
        font-size: 20px;
    }
}
@media ( max-width: 640px ) {
    footer.site-footer .top-footer .text-content .gform_wrapper .gform_footer input {
        width: auto;
        margin-bottom: 0;
    }
}
@media ( max-width: 576px ) {
    body, .home #call-now.text .text-content h4 + p, #testimonials.text .text-content h5 + p, footer.site-footer .bottom-footer .footer-contact p {
        font-size: 16px;
    }
    #background-poster-slider .background-poster-slider .slide .text-content p {
        font-size: 18px;
    }
    #background-poster-slider .background-poster-slider a:not(.button):last-child, #error-404 .button {
        font-size: 20px;
        width: auto;
        height: auto;
        display: inline-block;
        padding: 10px 20px;
    }
    #dance-categories .flex-columns .column .button {
        font-size: 55px;
    }
    .poster_slider .p-slider, .testimonial-slider .testimonial-slider-items {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .poster_slider .p-slider .slick-dots, .testimonial-slider .testimonial-slider-items .slick-dots {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
    .poster_slider .p-slider .slick-dots li, .testimonial-slider .testimonial-slider-items .slick-dots li {
        position: relative;
        margin: 0 5px;
    }
    .poster_slider .p-slider .slick-dots li button, .testimonial-slider .testimonial-slider-items .slick-dots li button {
        display: block;
        width: 20px;
        height: 20px;
        padding: 5px;
        cursor: pointer;
        color: transparent;
        border: 0;
        outline: none;
        background: transparent;
        position: relative;
        margin: 10px 0;
    }
    .poster_slider .p-slider .slick-dots li button:before, .testimonial-slider .testimonial-slider-items .slick-dots li button:before {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 14px;
        height: 14px;
        content: '';
        text-align: center;
        background-color: #A3A3A3;
        border-radius: 100%;
        margin: auto;
    }
    .poster_slider .p-slider .slick-dots li.slick-active button:before, .testimonial-slider .testimonial-slider-items .slick-dots li.slick-active button:before {
        background-image: -o-linear-gradient(top, #B20000, #660000);
        background-image: -webkit-gradient(linear, left top, left bottom, from(#B20000), to(#660000));
        background-image: linear-gradient(to bottom, #B20000, #660000);
    }
    .poster_slider .p-slider .slick-dots li:hover:before, .poster_slider .p-slider .slick-dots li.slick-active:before, .testimonial-slider .testimonial-slider-items .slick-dots li:hover:before, .testimonial-slider .testimonial-slider-items .slick-dots li.slick-active:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 20px;
        height: 20px;
        margin: auto;
        z-index: 0;
        border: 1px solid #D92727;
        border-radius: 100%;
    }
    .home .featured-video {
        height: 70vw;
    }
    .home .featured-video .video-content > iframe, .home .featured-video .video-content > .wp-video, .home .featured-video .video-content > video, .home .featured-video.video .video-content img + iframe, .home .featured-video .video-content img + .wp-video, .home .featured-video .video-content img + video, .home .featured-video .video-content .video_embed_container {
        max-width: 85% !important;
        height: 80%;
        top: 10%;
    }
    .home #call-now.text {
        height: auto;
        padding: 100px 0;
    }
    .home #call-now.text .col-lg-12 {
        position: relative;
    }
    .home #call-now.text .text-content h2 {
        font-size: 50px;
    }
     .home #call-now.text .text-content h2 + p, footer.site-footer .top-footer .text-content p, footer.site-footer .top-footer .text-content .gform_wrapper .gform_footer input {
        font-size: 20px;
    }
    .home #call-now.text .text-content h4, footer.site-footer .bottom-footer .footer-contact h4 {
        font-size: 30px;
    }
    .video .video-content #play_video, .video .video-content #play_embed, #play_embed {
        -webkit-transform: scale(0.5);
        -ms-transform: scale(0.5);
        transform: scale(0.5);
    }
    #testimonials.text .text-content h5 {
        font-size: 25px;
    }
    .lessons #group-lessons .col-lg-6:last-child {
        height: 400px;
    }
    .corporate-events #call-to-action .text-content .gallery {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    .corporate-events #call-to-action .text-content .gallery .gallery-item {
        max-width: 100%;
        margin: 0;
    }
    #about.text .text-content {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    #about.text .text-content p {
        margin-bottom: 30px;
    }
    #about.text .text-content ul {
        margin-left: 20px;
    }
    #about.text .text-content ul li {
        margin-bottom: 10px 
    }
    .cumbia .two-columns .flex-columns {
        padding: 0 15px;
    }
    .cumbia .two-columns .flex-columns .column {
        padding: 0;
    }
    .cumbia .two-columns .flex-columns .column:last-child {
        left: 0;
        padding: 0 30px;
    }
    .cumbia .two-columns .flex-columns .column .img-container {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
    .cumbia .two-columns .flex-columns .column .img-container:before {
        left: 0;
    }
    .cumbia .two-columns .flex-columns .column .img-container img {
        max-width: 9999px;
        width: auto;
        height: 600px;
    }
    .cumbia .two-columns .flex-columns .column:last-child a {
        font-size: 18px;
    }
    footer.site-footer .top-footer .text-content {
        padding: 50px 15px;
    }
    footer.site-footer .top-footer .text-content h3 {
        font-size: 40px;
    }
    footer.site-footer .top-footer .text-content .gform_wrapper .gform_footer {
        padding: 0;
    }
    footer.site-footer .top-footer .text-content .gform_wrapper .gform_footer input {
        line-height: normal;
        min-height: 0;
        padding: 10px 20px;
    }
    footer.site-footer .top-footer .text-content .gform_wrapper .gfield .ginput_recaptcha > div > div > iframe {
        -webkit-transform: scale(0.9);
        -ms-transform: scale(0.9);
        transform: scale(0.9);
        -webkit-transform-origin: 0 0;
        -ms-transform-origin: 0 0;
        transform-origin: 0 0;
    }
    footer.site-footer .bottom-footer #menu-footer-menu {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    footer.site-footer .bottom-footer #menu-footer-menu .menu-item:not(:first-child):not(:last-child), footer.site-footer .bottom-footer #menu-footer-menu .menu-item:first-child, footer.site-footer .bottom-footer #menu-footer-menu .menu-item:last-child {
        padding: 0;
    }
    footer.site-footer .bottom-footer .footer-copy p {
        font-size: 12px;
    }
}
@media ( max-width: 400px ) {
    footer.site-footer .top-footer .text-content .gform_wrapper .gfield .ginput_recaptcha > div > div > iframe {
        -webkit-transform: scale(0.85);
        -ms-transform: scale(0.85);
        transform: scale(0.85);
    }
}
@media ( max-width: 991px ) and ( orientation: landscape ) {
    .header-inner-right #responsive-menu-container #responsive-menu li.responsive-menu-item a {
        font-size: 14px;
        padding: 5px 20px;
    }
    body:not(.home) .video .video-content {
        max-width: 500px;
        height: 300px;
    }
    .lessons #group-lessons .flex-columns {
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -webkit-flex-direction: column-reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
    .lessons #group-lessons .text-content {
        margin: 0 auto;
    }
    .lessons #group-lessons .col-lg-6:last-child {
        height: 300px;
        margin-bottom: 30px;
    }
    body:not(.home).page .flex-columns .text-content iframe {
        height: 300px;
    }
    #play_embed, #play_video {
        -webkit-transform: scale(0.7);
        -ms-transform: scale(0.7);
        transform: scale(0.7);
   }
}
@media ( max-width: 991px ) and ( max-height: 991px ) {
    #background-poster-slider .background-poster-slider .slick-dots {
        bottom: 110px;
    }
}
@media ( max-width: 991px ) and ( max-height: 991px ) and ( orientation: landscape ) {
    #background-poster-slider .background-poster-slider .slide {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
            -ms-flex-pack: start;
                justify-content: flex-start;
    }
    #background-poster-slider .background-poster-slider .slide .text-content {
        margin-top: 50px;
    }
    #background-poster-slider .background-poster-slider .slick-dots {
        bottom: 120px;
    }
}
@media ( max-width: 570px ) and ( max-height: 650px ) {
    #background-poster-slider .background-poster-slider .slide {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
            -ms-flex-pack: start;
                justify-content: flex-start;
    }
    #background-poster-slider .background-poster-slider .slide .text-content {
        margin-top: 50px;
    }
    #background-poster-slider .background-poster-slider .slick-dots {
        bottom: 120px;
    }
}
/* For iOS Devices */
@supports (-webkit-overflow-scrolling: touch) {
    body {
        overflow-y: scroll;
    }
}
/* For Edge */
@supports (-ms-ime-align:auto) {
    .header-inner-right #responsive-menu-container.slide-top {
        top: 97.6px;
    }
    @media ( max-width: 991px ) {
        .header-inner-right #responsive-menu-container.slide-top {
            top: 50px;
        }
    }
}
/* For IE */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
   /* IE10+ CSS styles go here */
    .header-inner-right #responsive-menu-container.slide-top {
        top: 97.6px;
    }
    #dance-categories .flex-columns .column .button, .home #call-now.text .text-content h2, footer.site-footer .top-footer .text-content h3 {
        background-image: none;
        text-shadow: 0 0 20px #008C00;
    }
}